#!/bin/bash

HDHRIP='192.168.9.100'
tunerCount="3" # tuner count minus 1 since tuners start at 0
f=1

printdata () {
IFS=$'\n'
echo "Tuner Number, Virtual Channel, Frequency, Program Number, Modulation Lock, Signal Strength, Signal Quality, Symbol Quality, Streaming Rate, Resource Lock,"
printf "Tuner $f, ";
for p in $(curl -s "http://${HDHRIP}/tuners.html?page=tuner$f" | egrep "Virtual Channel|Frequency|Program Number|Modulation Lock|Signal Strength|Signal Quality|Symbol Quality|Streaming Rate|Resource Lock" | sed 's/<tr><td>//g' | sed 's#</td><td>##g' | sed 's#</td></tr>##g' | sed 's/Virtual Channel//g' | sed 's/Frequency//g' | sed 's/ProgramFrequency//g' | sed 's/Program Number//g' | sed 's/Modulation Lock//g' | sed 's/Signal Strength//g' | sed 's/Signal Quality//g' | sed 's/Symbol Quality//g' | sed 's/Streaming Rate//g' | sed 's/Resource Lock//g'); do
	printf "%s, " $p;
done
echo ""
}

printdata | rev | sed 's/,//' | rev 
